/**
 * Sets easing of animation property
 *
 *
 */
import { TypedAnimNode } from './_Base';
import { TimelineBuilder } from '../../../core/animation/TimelineBuilder';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class EasingAnimParamsConfig extends NodeParamsConfig {
    /** @param name of easing */
    name: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.INTEGER>;
    /** @param defines if the easing is 'in', 'out' or 'in-out' */
    inOut: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.INTEGER>;
}
export declare class EasingAnimNode extends TypedAnimNode<EasingAnimParamsConfig> {
    params_config: EasingAnimParamsConfig;
    static type(): string;
    initializeNode(): void;
    private easing_full_name;
    cook(input_contents: TimelineBuilder[]): void;
}
export {};
